Ontology releases
Publish an immutable ontology release
Publish an immutable ontology release
curl --request POST \
--url https://api.atlan.com/ontology/v1/releases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ontology_id": "<string>",
"release": "<string>",
"source_versions": [
{
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ontology_id: '<string>',
release: '<string>',
source_versions: [
{
artifact_id: '<string>',
content_hash: '<string>',
kind: '<string>',
version_ordinal: 123
}
]
})
};
fetch('https://api.atlan.com/ontology/v1/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology/v1/releases"
payload = {
"ontology_id": "<string>",
"release": "<string>",
"source_versions": [
{
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"channel": "<string>",
"compatibility": "compatible",
"created_at": "<string>",
"created_by": "<string>",
"id": "<string>",
"is_current": true,
"kind": "<string>",
"manifest_digest": "<string>",
"ontology_id": "<string>",
"predecessor_release_id": "<string>",
"release": "<string>",
"release_status": "pending",
"schema": {
"canonicalization_version": 1,
"ontology_id": "<string>",
"resources": [
{
"api_name": "<string>",
"artifact_id": "<string>",
"definition": "<unknown>",
"kind": "<string>",
"display_name": "<string>"
}
]
},
"source_versions": [
{
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
}
],
"version_id": "<string>",
"workspace_id": "<string>"
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "incompatible_release",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "candidate_changed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
Response
HTTP 201 response.
Available options:
compatible, breaking Available options:
pending, released, superseded, withdrawn Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Publish an immutable ontology release
curl --request POST \
--url https://api.atlan.com/ontology/v1/releases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ontology_id": "<string>",
"release": "<string>",
"source_versions": [
{
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ontology_id: '<string>',
release: '<string>',
source_versions: [
{
artifact_id: '<string>',
content_hash: '<string>',
kind: '<string>',
version_ordinal: 123
}
]
})
};
fetch('https://api.atlan.com/ontology/v1/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology/v1/releases"
payload = {
"ontology_id": "<string>",
"release": "<string>",
"source_versions": [
{
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"channel": "<string>",
"compatibility": "compatible",
"created_at": "<string>",
"created_by": "<string>",
"id": "<string>",
"is_current": true,
"kind": "<string>",
"manifest_digest": "<string>",
"ontology_id": "<string>",
"predecessor_release_id": "<string>",
"release": "<string>",
"release_status": "pending",
"schema": {
"canonicalization_version": 1,
"ontology_id": "<string>",
"resources": [
{
"api_name": "<string>",
"artifact_id": "<string>",
"definition": "<unknown>",
"kind": "<string>",
"display_name": "<string>"
}
]
},
"source_versions": [
{
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
}
],
"version_id": "<string>",
"workspace_id": "<string>"
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "incompatible_release",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "candidate_changed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}